[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bugs that'll block python 2.5

On Tue, 15 Apr 2008, Adeodato Simó wrote:
> * Josselin Mouette [Tue, 15 Apr 2008 12:28:00 +0200]:
> > The solution is really simple, just add them to python’s Provides: list.
> Plus, uhm, can't really be done for (c)elementtree, since python 2.5
> provides the modules under a different name/namespace.


In that case it might be a good idea to build python-celementtree for
python 2.5 as well... I haven't heard of technical incompatibility but
just that it was bundled with python 2.5 and thus unneeded/in conflict.

But if the namespace is different, there's no file conflict and I don't
understand why we cared about not generating the module for python 2.5.

> python-pysqlite2, on the other hand/for example, still provides the
> modules for python 2.5 under the old name. elementtree could do this,
> or else the packages should be somehow checked, I guess?

Indeed. (I should read mails entirely before replying :))

Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :

Reply to: